## mythtv-status 0.9.2-3

=== Makefile ===
#!/usr/bin/make -f

package=mythtv-status
releases=sid
release=sid
sponsor_keyid=19D03486

build=dpkg-buildpackage -rfakeroot -i'(.git|build|.gitignore|testing)*' -I.git -Ibuild -I.gitignore -Itesting -tc -k0C62B791
version=$(shell git tag -l | grep '^[0-9]' | tail -1)
deb_version=$(shell git tag -l | grep ^debian-$(release)-[[:digit:]] | tail -1 | sed 's/debian-$(release)-//' | sed 's/@/~/')

deb=$(package)_$(deb_version)_all.deb
orig_tarball=../$(package)_$(version).orig.tar.gz
tarball=build/tarball/$(package)-$(version).tar.gz
tarball_dir=../$(package)_tarballs

DEBS=$(foreach release, $(releases), build/$(release)/$(deb))

RELEASE_FILES=build/tarball/mythtv-status-${version}.tar.gz $(DEBS)

all: release

release: $(RELEASE_FILES)

$(orig_tarball): $(tarball)
	@rm -f $@
	@ln -s `basename \`pwd\``/$< $@

sponsor: $(orig_tarball)
	dpkg-buildpackage -rfakeroot -k$(sponsor_keyid) -i'(.git|build|Makefile|testing)' -I.git -IMakefile -I.gitignore -Ibuild -Itesting -tc

$(tarball):
	@mkdir -p $(@D)
	@git archive --format=tar --prefix=$(package)-$(version)/ $(version) `git ls-tree --name-only $(version) | egrep -v "(.gitignore|debian|Makefile|testing)"` | gzip > $(tarball)

build/$(release)/$(deb): 
	@echo Building $(release)
	@ssh -t build-$(release)-i386 "cd `pwd`; $(build)"
	@ssh build-$(release)-i386 "cd `pwd`/..; /usr/bin/lintian -i -I $(package)_$(version)*.changes" || true
	@ssh build-$(release)-i386 "cd `pwd`/..; /usr/bin/linda -i $(package)_$(version)*.changes" || true
	@mkdir -p build/$(release)
	@cp ../$(deb)  \
		../$(package)_$(deb_version)_i386.changes \
		../$(package)_$(deb_version).dsc \
		../$(package)_$(deb_version).tar.gz \
		build/$(release)

publish: $(RELEASE_FILES)
	for release in $(releases); do ars-add -r $$release -g main build/$$release/$(deb); done
	@ars-update -f
	@cp $(tarball) $(tarball_dir)
	@chmod o+r $(tarball_dir)/*-$(version).*
	@ln -sf `basename $(tarball)` $(tarball_dir)/$(package)-latest.tar.gz

clean:
	@rm -rf build
	@rm -f ../$(package)*.changes ../$(package)*.dsc ../$(package)*.tar.gz ../$(package)*.deb

.PHONY: release clean sponsor

=== debian/changelog ===
mythtv-status (0.9.2-3) unstable; urgency=low

  * Japanese debconf translation from Hideki Yamane (Closes: #558070).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 10 Dec 2009 12:56:55 +1300

mythtv-status (0.9.2-2) unstable; urgency=low

  * Add in a missing dependency on libconfig-auto-perl.
  * Basque debconf translation from Piarres Beobide (Closes: #539906).
  * Czech debconf translation from Martin Šín (Closes: #535914).
  * Russian debconf translation from Yuri Kozlov (Closes: #546347).
  * Correct the init.d dependencies from Petter Reinholdtsen (Closes: #547558).
  * Bump to Standards-Version 3.8.3.
  * Disable the watch file for now.
  * Update Debian copyright file.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 03 Oct 2009 20:15:04 +1300

mythtv-status (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri, 22 May 2009 09:10:50 +1200

mythtv-status (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 30 Oct 2008 14:13:50 +1300

mythtv-status (0.9.0-6) unstable; urgency=low

  * Swedish debconf translation from Martin Bagge (Closes: #506599).
  * Add a status to the init.d file.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 23 Nov 2008 13:29:52 +1300

mythtv-status (0.9.0-5) unstable; urgency=medium

  * Update init.d with feedback from Adeodato SimÃ³. 

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 08 Nov 2008 10:49:01 +1300

mythtv-status (0.9.0-4) unstable; urgency=medium

  * It turns out that release 0.9.1 of mythtv-status snuck into
    the 0.9.0-2 upload, back that out for now.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 30 Oct 2008 13:55:01 +1300

mythtv-status (0.9.0-3) unstable; urgency=medium

  * If someone has removed /var/run/motd then tries to install (or
    reinstall) this package, then it fails.  We should make sure that
    doesn't happen by making sure that /var/run/motd exists.
  * Provide some sanity checking before updating the MOTD file in
    the init.d script to make sure that mythtv-status didn't die.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 28 Oct 2008 15:12:02 +1300

mythtv-status (0.9.0-2) unstable; urgency=low

  * The init.d script shouldn't check the return code anymore, as the
    return code may be 1 if there are any warnings present.  This
    has been stopping the MOTD from being updated.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 26 Sep 2008 09:16:53 +1200

mythtv-status (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Add DM-Upload-Allowed field as I'm now a DM.
  * Upstream license has changed to GPL3.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri, 11 Jul 2008 10:14:20 +1200

mythtv-status (0.8.1-3) unstable; urgency=low

  * A number of small changes to the /etc/default/mythtv-status file
    to make it clearer which script uses which settings.
  * Thank you to Tom Metro for the above suggestion.
  * Fix the handling of EMAIL_ARGS in the postinst to honour it being
    unset.  Thank you to Tom for reporting the issue.
  * Not uploaded to Debian.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat,  5 Jul 2008 21:15:00 +1200

mythtv-status (0.8.1-2) unstable; urgency=low

  * Make sure that variables in /etc/default/mythtv-status that might
    have spaces in them are handled correctly in the postinst.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 23 Jun 2008 14:27:29 +1200

mythtv-status (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 19 Jun 2008 12:26:27 +1200

mythtv-status (0.8.0-2) unstable; urgency=low

  * Stop run-parts in the cron.daily script from complaining if mythtv-status
    returns an exit code of 1 (which is common).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 19 Jun 2008 11:09:04 +1200

mythtv-status (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.0.
  * Change dependency on libmime-perl to libmime-tools-perl.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Wed, 18 Jun 2008 12:46:48 +1200

mythtv-status (0.7.4-1) unstable; urgency=low

  * New upstream release (not uploaded to Debian).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri, 23 May 2008 09:31:39 +1200

mythtv-status (0.7.3-2) unstable; urgency=low

  * The cron.daily file should honour the HOST setting in
    /etc/default/mythtv-status (Closes: #475106)
  * Remove two bogus space charaters in the output from the init.d script.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Wed, 09 Apr 2008 14:29:30 +1200

mythtv-status (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 11 Mar 2008 14:19:49 +1300

mythtv-status (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri,  7 Mar 2008 08:31:47 +1300

mythtv-status (0.7.1-3) unstable; urgency=low

  * Fix a typo in the init.d output, Stoping should be Stopping.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri,  8 Feb 2008 15:36:56 +1300

mythtv-status (0.7.1-2) unstable; urgency=low

  * Bump debhelper compatibility to 6
  * Add German translation (Closes: #463429)
  * Not uploaded to Debian.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon,  4 Feb 2008 10:51:49 +1300

mythtv-status (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 24 Jan 2008 08:17:33 +1300

mythtv-status (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 20 Jan 2008 10:17:29 +1300

mythtv-status (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Update debconf templates to reflect the fact that emails are sent out
    for alerts now, not just conflicts (this feature was added in 0.6.0).
    + Updated French translation from Franciois Marier.
    + Updated Portuguese translation from AmÃ©rico Monteiro.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Wed, 26 Dec 2007 22:36:45 +1300

mythtv-status (0.6.1-1) unstable; urgency=low



=== debian/control ===
Source: mythtv-status
Section: misc
Priority: extra
Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), po-debconf
Standards-Version: 3.8.3
Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary

Package: mythtv-status
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl, libxml-libxml-perl, libdate-manip-perl, libmime-tools-perl, libconfig-auto-perl
Suggests: molly-guard (>= 0.4)
Recommends: libmythtv-perl, libnet-upnp-perl
Description: Show the status of a MythTV backend
 Shows the current status of a local or remote MythTV backend and up to
 the next 10 recordings for today and tomorrow.
 .
 Also provides funtionality for updating the MOTD with this information,
 this can provide a good heads up on when you should avoid heavy CPU or
 I/O work on your MythTV backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 
	debconf-updatepo

build:
	pod2man bin/mythtv-status > debian/mythtv-status.1
	@touch build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installdebconf	
# Make sure we start after mythtv-backend
	dh_installinit -- defaults 51
	dh_installcron
	dh_installman debian/mythtv-status.1 man/*
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mythtv-status 0.9.3

=== debian/changelog ===
mythtv-status (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Source version 3.0 (quilt).
  * Bump Standards-Version to 3.8.4.
  * Spanish debconf translation from Omar Campagne (Closes: #583657).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 31 May 2010 14:54:07 +1200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6), po-debconf
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
 Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
 Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary

## mythtv-status 0.10.1

=== debian/changelog ===
mythtv-status (0.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 14 Jun 2012 23:06:11 +1200

mythtv-status (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Make sure we clean up /etc/default/mythtv-status on purge (Closes: #656224) 
  * Dutch debconf translation from Jeroen Schot (Closes: #675450)
  * Bump Standards-Version to 3.9.3.
  * Add build-indep and build-arch to debian/rules.
  * Add a watch file.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 14 Jun 2012 12:45:37 +1200

mythtv-status (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 03 Mar 2011 23:42:13 +1300

mythtv-status (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * Set the Date::Manip mode to version 5 now (Closes: #603792)

 -- Andrew Ruthven <andrew@etc.gen.nz>  Wed, 01 Dec 2010 11:25:12 +1300

mythtv-status (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 09 Aug 2010 10:18:22 +1200

## mythtv-status 0.10.2

=== debian/changelog ===
mythtv-status (0.10.2-3) unstable; urgency=low

  * Fix the use of motd as a facility name, shouldn't be $motd.
    Reported by Julian Cristau, thank you.
  * Don't abort the init.d if we can't remove /var/run/motd.orig.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 20 Dec 2012 10:29:31 +1300

mythtv-status (0.10.2-2) unstable; urgency=low

  * Handle a stale temp file more gracefully (Closes: #681684) 
  * base-files 6.11 in Wheezy uses /var/run/motd.dynamic (Closes: #688034) 

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 02 Oct 2012 21:50:10 +1300

mythtv-status (0.10.2-1) unstable; urgency=low

  * New upstream release. (Closes: #680358)
  * Danish debconf translation from Joe Dalton. (Closes: #680372)

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 07 Jul 2012 16:32:46 +1200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6), po-debconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
 Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
 Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary
 
 Package: mythtv-status
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl, libxml-libxml-perl, libdate-manip-perl, libmime-tools-perl, libconfig-auto-perl
+Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl, libxml-libxml-perl, libdate-manip-perl, libmime-tools-perl, libconfig-auto-perl, libsys-sigaction-perl
 Suggests: molly-guard (>= 0.4)
 Recommends: libmythtv-perl, libnet-upnp-perl
 Description: Show the status of a MythTV backend

## mythtv-status 0.10.4

=== debian/changelog ===
mythtv-status (0.10.4-1) unstable; urgency=low

  * New upstream release (Closes: #724166, #709377, #709449).
  * Remove an extraneous hypen in our postinst (Cloases: #704436)
    Thank you Francois Marier for the patch.
  * Update standards version to 3.9.4, remove obsolete control field

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 28 Oct 2013 23:03:44 +1300

mythtv-status (0.10.3-1) unstable; urgency=low

  * New upstream release (Closes: LP#1096252).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 29 Jan 2013 16:37:53 +1300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: misc
 Priority: extra
 Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6), po-debconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
 Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
 Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary

## mythtv-status 0.10.6

=== debian/changelog ===
mythtv-status (0.10.6-1) unstable; urgency=low

  * New upstream release.
  * Brings in a minor change that was on master, but missed from the 
    release-0.10 git branch.
  * Update standards version to 3.9.6.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri, 05 Dec 2014 10:17:37 +1300

mythtv-status (0.10.5-1) unstable; urgency=low

  * New upstream release (Closes: #729400).
  * Fix sending emails with UTF-8 characters in them with Perl >= 5.18.
  * Fix removing "0 hours" from Next Recording In if the hour is a multiple
    of 10.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 02 Dec 2014 20:29:13 +1300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
 Build-Depends: debhelper (>= 6), po-debconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
 Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
 Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,10 @@
 	dh_clean 
 	debconf-updatepo
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: 
 	pod2man bin/mythtv-status > debian/mythtv-status.1
 	@touch build-stamp
 
@@ -53,4 +56,4 @@
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## mythtv-status 0.10.8

=== debian/changelog ===
mythtv-status (0.10.8-1) unstable; urgency=low

  * New upstream release.
  * Brazilian Portuguese debconf translation from Adriano Rafael Gomes.
    (Closes: #816938)

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 26 Jan 2017 09:17:10 +1300

mythtv-status (0.10.7-1) unstable; urgency=low

  * New upstream release (Closes: #772801).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 10 Jan 2015 15:56:21 +1300

=== debian/control ===
Source: mythtv-status
Section: misc
Priority: extra
Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
Build-Depends: debhelper (>= 10), po-debconf
Standards-Version: 3.9.8
Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary

Package: mythtv-status
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl, libxml-libxml-perl, libdate-manip-perl, libmime-tools-perl, libconfig-auto-perl, libsys-sigaction-perl, lsb-base (>= 3.0-6)
Suggests: molly-guard (>= 0.4)
Recommends: libmythtv-perl, libnet-upnp-perl
Description: Show the status of a MythTV backend
 Shows the current status of a local or remote MythTV backend and up to
 the next 10 recordings for today and tomorrow.
 .
 Also provides functionality for updating the MOTD with this information,
 this can provide a good heads up on when you should avoid heavy CPU or
 I/O work on your MythTV backend.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 
 # Build architecture-independent files here.

## mythtv-status 1.0.0

=== debian/changelog ===
mythtv-status (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #853857).
  * Install a snippet into /etc/update-motd.d (Closes: #902684).
  * Update standards version to 4.3.0.
  * Ship a systemd service file (Closes: #772801)
  * Rename RUN and ARGS in /etc/default/mythtv-status to be more
    specific, since this file is used by a couple of different scripts.
  * Switch from /var/run to /run. 

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 15 Jan 2019 00:10:52 +1300

## mythtv-status 1.0.1

=== debian/changelog ===
mythtv-status (1.0.1-6) unstable; urgency=medium

  * New upload to include the orig tarball and GPG signature.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 10 Apr 2021 16:54:07 +1200

mythtv-status (1.0.1-5) unstable; urgency=medium

  * Upstream is now generating GPG signatures of release tarballs.
  * Allow the init script/service to fail on install/upgrade as there
    may not be a MythTV backend reachable at installation time.
  * Add Pre-Depends: ${misc:Pre-Depends} to d/control to ensure that
    init-system-helpers is available.
  * Install the systemd service file is installed and enabled.
  * Override maintainer-manual-page lintian check as we build the man page
    during build.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 10 Apr 2021 15:00:41 +1200

mythtv-status (1.0.1-4) unstable; urgency=medium

  * Source only upload.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 10 Apr 2021 01:38:29 +1200

mythtv-status (1.0.1-3) unstable; urgency=medium

  * Add support for autopkgtest

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri, 09 Apr 2021 22:54:59 +1200

mythtv-status (1.0.1-2) unstable; urgency=medium

  * Update systemd service file to use -f with rm (Closes: #954734).
  * Patch to ensure that 50-mythtv-status has exit code 0 if no status file
    exists.
  * Update copyright file to be machine readable.
  * Add d/upstream/metadata file.
  * Update standards version to 4.5.1 and debhelper to 13.
  * Set Rules-Requires-Root: no in d/control
  * Bump d/watch to version 4.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 08 Apr 2021 23:01:48 +1200

mythtv-status (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 27 Jan 2019 00:45:18 +1300

=== debian/control ===
Source: mythtv-status
Section: misc
Priority: optional
Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
Build-Depends: debhelper-compat (= 13), po-debconf
Standards-Version: 4.5.1
Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-perl

Package: mythtv-status
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl, libxml-libxml-perl, libdate-manip-perl, libmime-tools-perl, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Pre-Depends}
Suggests: molly-guard (>= 0.4), libconfig-auto-perl
Recommends: libmythtv-perl, libnet-upnp-perl, libsys-sigaction-perl
Description: Show the status of a MythTV backend
 Shows the current status of a local or remote MythTV backend and up to
 the next 10 recordings for today and tomorrow.
 .
 Also provides functionality for updating the MOTD with this information,
 this can provide a good heads up on when you should avoid heavy CPU or
 I/O work on your MythTV backend.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
  http://www.etc.gen.nz/projects/mythtv/tarballs/mythtv-status-(\d.+)\.tar\.gz

## mythtv-status 1.1.0

=== Makefile ===
#!/usr/bin/make -f

BINDIR=$(DESTDIR)/usr/bin
LIBEXECDIR=$(DESTDIR)/usr/libexec/mythtv-status
MANDIR=$(DESTDIR)/usr/man
SYSTEMDDIR=$(DESTDIR)/lib/systemd/system

package=mythtv-status
releases=sid
release=sid

# These variables are used by Andrew in a git checkout for packaging and releasing.
ifneq ("$(wildcard .git)", "")
build=dpkg-buildpackage -rfakeroot -i'(.git|.gitignore|testing)*' -I.git -I.gitignore -Itesting -tc -kC603FC4E600F1CECD1C8D97C4B53D931E4D3E863 --changes-option=-S --changes-option=-sa
ifeq ($(version),)
version=$(shell git tag -l | grep '^[0-9]' | sort -t"." -k 1,1 -k 2,2 -k 3,3 -n | tail -1)
endif
deb_version=$(shell git tag -l | grep ^debian-$(release)-[[:digit:]] | sed 's/debian-$(release)-//' | sort -t"." -k 1,1 -k 2,2 -k 3,3 -n | tail -1 | sed 's/@/~/')

deb=$(package)_$(deb_version)_all.deb
orig_tarball=../$(package)_$(version).orig.tar.gz
tarball=../build/tarball/$(package)-$(version).tar.gz
tarball_dir=../$(package)_tarballs

DEBS=$(foreach release, $(releases), ../build/$(release)/$(deb))

RELEASE_FILES=$(orig_tarball) ../build/tarball/mythtv-status-${version}.tar.gz $(DEBS)
endif

TEST_VERBOSE=0
TEST_FILES=t/*.t

all: test
dist: test release

release: $(RELEASE_FILES)

$(orig_tarball): $(tarball)
	@rm -f $@
	@ln -s `basename \`pwd\``/$< $@
	@ln -sf `basename \`pwd\``/$<.asc $@.asc

$(tarball):
	@mkdir -p $(@D)
	@git archive --format=tar --prefix=$(package)-$(version)/ $(version) `git ls-tree --name-only $(version) | egrep -v "(.gitignore|debian|testing)"` | gzip > $(tarball)
	@gpg -sb --armour $(tarball)

../build/$(release)/$(deb): $(orig_tarball)
	@echo Building $(release)
	@ssh -t build-$(release)-amd64 "cd `pwd`; $(build)"
	@ssh build-$(release)-amd64 "cd `pwd`/..; /usr/bin/lintian -i -I $(package)_$(version)*.changes" || true
	#@ssh build-$(release)-amd64 "cd `pwd`/..; /usr/bin/linda -i $(package)_$(version)*.changes" || true
	@mkdir -p ../build/$(release)
	@cp ../$(deb)  \
		../$(package)_$(deb_version)_*.changes \
		../$(package)_$(deb_version)_*.buildinfo \
		../$(package)_$(deb_version).dsc \
		../$(package)_$(version).orig.tar.?z \
		../$(package)_$(deb_version).debian.tar.?z \
		../build/$(release)

publish: $(RELEASE_FILES)
	for release in $(releases); do reprepro includedsc $$release ../build/$$release/$(package)_$(deb_version).dsc; done
	for release in $(releases); do reprepro includedeb $$release ../build/$$release/$(package)_$(deb_version)_all.deb; done
	@cp $(tarball) $(tarball_dir)
	@chmod o+r $(tarball_dir)/*-$(version).*
	@ln -sf `basename $(tarball)` $(tarball_dir)/$(package)-latest.tar.gz

upload: $(RELEASE_FILES)
	for release in $(releases); do cd ../build/$$release; dput $(package)_$(deb_version)*.changes; done

install:
	install -d $(BINDIR)
	install -d $(LIBEXECDIR)
	install -d $(MANDIR)/man1
	install -d $(MANDIR)/man8
	install -d $(SYSTEMDDIR)
	install -m 775 bin/mythtv-status $(BINDIR)
	install -m 775 bin/mythtv_recording_now $(BINDIR)
	install -m 775 bin/mythtv_recording_soon $(BINDIR)
	install -m 775 bin/health-check $(LIBEXECDIR)
	pod2man bin/mythtv-status > $(MANDIR)/man1/mythtv-status.1
	install -m 644 man/mythtv-update-motd.8 $(MANDIR)/man8
	install -m 644 man/mythtv_recording_now.1 $(MANDIR)/man1
	install -m 644 man/mythtv_recording_soon.1 $(MANDIR)/man1
	install -m 644 systemd/* $(SYSTEMDDIR)

test:
	PERL_DL_NONLAZY=1 perl "-MExtUtils::Command::MM" "-e" "test_harness($(TEST_VERBOSE))" $(TEST_FILES)

clean:
	@rm -rf build

clean_pkg:
	@rm -f ../$(package)*.changes ../$(package)*.dsc ../$(package)*.tar.gz ../$(package)*.deb

.PHONY: release clean install test dist

=== debian/changelog ===
mythtv-status (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 50-mythtv-status-exit-code.patch, applied upstream.
  * Bump Standards-Version to 4.6.2 (no changes).
  * Change d/rules to use dh sequencer.
  * Refresh lintian overrides.
  * Add build deps for running tests.
  * Drop dependency on lsb-base, obsolete package.
  * Drop versioned dependency on molly-guard, 0.4 was released in 2008.
  * Move libmythtv-perl to by a Suggests, as it is doesn't exist in the
    official Debian repo.
  * Install systemd services and timers for regular tasks.
  * Convert d/po/de.po to UTF-8.
  * Refresh d/copyright.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 23 Jul 2023 00:16:49 +1200

mythtv-status (1.0.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:25:28 +0200

=== debian/control ===
Source: mythtv-status
Section: misc
Priority: optional
Maintainer: Andrew Ruthven <andrew@etc.gen.nz>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep:
    libdate-manip-perl <!nocheck>,
    libmime-tools-perl <!nocheck>,
    libwww-perl <!nocheck>,
    libxml-libxml-perl <!nocheck>,
    perl,
    po-debconf,
Standards-Version: 4.6.2
Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-perl

Package: mythtv-status
Architecture: all
Depends: ${misc:Depends},
    ${perl:Depends},
    libdate-manip-perl,
    libmime-tools-perl,
    libwww-perl,
    libxml-libxml-perl
Pre-Depends: ${misc:Pre-Depends}
Suggests:
    libconfig-auto-perl,
    libmythtv-perl,
    libnet-upnp-perl,
    molly-guard
Recommends:
    libsys-sigaction-perl
Description: Show the status of a MythTV backend
 Shows the current status of a local or remote MythTV backend and up to
 the next 10 recordings for today and tomorrow.
 .
 Also provides functionality for updating the MOTD with this information,
 this can provide a good heads up on when you should avoid heavy CPU or
 I/O work on your MythTV backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd mythtv-status.service \
	    mythtv-status_health-check.service  \
	    mythtv-status_health-check.timer    \
	    mythtv-status_update-motd.service   \
	    mythtv-status_update-motd.timer

## mythtv-status 1.2.0

=== Makefile ===
#!/usr/bin/make -f

BINDIR?=/usr/bin
LIBEXECDIR?=/usr/libexec/mythtv-status
MANDIR?=/usr/share/man
MOLLY_GUARDDIR?=/etc/molly-guard/run.d
SBINDIR?=/usr/sbin
SYSTEMDDIR?=/usr/lib/systemd/system
VARLIBDIR?=/var/lib/mythtv-status
UPDATE_MOTDDIR?=/etc/update-motd.d

FILES_TO_SUBSTITUTE=$(wildcard */*.in)
SUBSTITUTED_FILES=$(shell echo $(FILES_TO_SUBSTITUTE) | sed 's/\.in//g')

package=mythtv-status

# Only try and find a git tag if we're running in a git checkout, and allow
# for the version to be overridden.
ifneq ("$(wildcard .git)", "")
ifeq ($(version),)
version=$(shell git tag -l | grep '^[0-9]' | sort -t"." -k 1,1 -k 2,2 -k 3,3 -n | tail -1)
endif
endif

tarball=../build/tarball/$(package)-$(version).tar.gz
tarball_dir=../$(package)_tarballs

RELEASE_FILES=$(tarball)

TEST_VERBOSE=0
TEST_FILES=t/*.t

# No default action.
all:

dist: test release

release: $(RELEASE_FILES)

$(tarball):
	@mkdir -p $(@D)
	@git archive --format=tar --prefix=$(package)-$(version)/ $(version) `git ls-tree --name-only $(version) | egrep -v "(.gitignore|testing)"` | gzip > $(tarball)
	@gpg -sb --armour $(tarball)

$(SUBSTITUTED_FILES): $(FILES_TO_SUBSTITUTE)
	sed -e 's,@@BINDIR@@,$(BINDIR),g;s,@@VARLIBDIR@@,$(VARLIBDIR),g;s,@@LIBEXECDIR@@,$(LIBEXECDIR),g;s,@@SBINDIR@@,$(SBINDIR),g' $@.in > $@

publish: $(RELEASE_FILES)
	@cp $(tarball) $(tarball_dir)
	@chmod o+r $(tarball_dir)/*-$(version).*
	@ln -sf `basename $(tarball)` $(tarball_dir)/$(package)-latest.tar.gz

build: $(SUBSTITUTED_FILES)
	@touch build.stamp

install: $(SUBSTITUTED_FILES)
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SBINDIR)
	install -d $(DESTDIR)$(LIBEXECDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(MANDIR)/man8
	install -d $(DESTDIR)$(SYSTEMDDIR)
	install -m 775 bin/mythtv-status $(DESTDIR)$(BINDIR)
	install -m 775 bin/mythtv_recording_now $(DESTDIR)$(BINDIR)
	install -m 775 bin/mythtv_recording_soon $(DESTDIR)$(BINDIR)
	install -m 775 bin/mythtv-update-motd $(DESTDIR)$(SBINDIR)
	install -m 775 bin/health-check $(DESTDIR)$(LIBEXECDIR)
	pod2man bin/mythtv-status > $(DESTDIR)$(MANDIR)/man1/mythtv-status.1
	install -m 644 man/mythtv-update-motd.8 $(DESTDIR)$(MANDIR)/man8
	install -m 644 man/mythtv_recording_now.1 $(DESTDIR)$(MANDIR)/man1
	install -m 644 man/mythtv_recording_soon.1 $(DESTDIR)$(MANDIR)/man1
	install -m 644 systemd/*.service $(DESTDIR)$(SYSTEMDDIR)
	install -m 644 systemd/*.timer $(DESTDIR)$(SYSTEMDDIR)

        # Only install these files if the directories already exist.
	if [ -d $(DESTDIR)$(MOLLY_GUARDDIR) ]; then \
	    install -m 775 molly-guard/40-mythtv-recording-soon $(DESTDIR)$(MOLLY_GUARDDIR); \
	fi
	if [ -d $(DESTDIR)$(UPDATE_MOTDDIR) ]; then \
	    install -m 775 update-motd.d/* $(DESTDIR)$(UPDATE_MOTDDIR); \
	fi

test:
	PERL_DL_NONLAZY=1 perl "-MExtUtils::Command::MM" "-e" "test_harness($(TEST_VERBOSE))" $(TEST_FILES)

clean:
	@rm -rf build.stamp $(SUBSTITUTED_FILES)

.PHONY: release clean install test dist build

=== debian/changelog ===
mythtv-status (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches no longer needed:
    -  makefile-man-path.patch
    -  makefile.patch
  * Bump Standards-Version to 4.7.0 (no changes).
  * Move Debian packaging to a git-buildpackage repo hosted on Salsa.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 02 Jan 2025 23:46:03 +1300

mythtv-status (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch makefile to stop running tests during dh_auto_build
    (Closes: #1052282)
  * Patch makefile to install systemd units into /usr. (DEP17)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 10 Jun 2024 11:26:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
     libxml-libxml-perl <!nocheck>,
     perl,
     po-debconf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.etc.gen.nz/projects/mythtv/mythtv-status.html
-Vcs-Git: http://git.etc.gen.nz/mythtv-status.git
-Vcs-Browser: http://git.etc.gen.nz/cgi-bin/gitweb.cgi?p=mythtv-status.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/mythtv-status.git
+Vcs-Browser: https://salsa.debian.org/debian/mythtv-status
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-perl
